#!/bin/sh

# script to copy site files 

#fromDir=$HOME/downloads/webtools/testUpdates
#toDir=$HOME/downloads/webtools/updates

fromDir=$HOME/downloads/webtools/declaredUpdates
toDir=$HOME/downloads/webtools/milestones

cp -f -p -r -v --update $fromDir/*html --target-directory=$toDir/
cp -f -p -r -v --update $fromDir/*.gif  --target-directory=$toDir/
cp -f -p -r -v --update $fromDir/web  --target-directory=$toDir/
cp -f -p -r -v --update $fromDir/*.xml --target-directory=$toDir/


# TODO ... make this handle 'milestones' or 'updates'
perl -pi -e 's/webtools\/testUpdates/webtools\/milestones/g' ${toDir}/index.html
perl -pi -e 's/webtools\/testUpdates/webtools\/milestones/g' ${toDir}/site.xml
perl -pi -e 's/webtools\/testUpdates/webtools\/milestones/g' ${toDir}/site-byProject.xml

# important: make sure digest is updated same time as site.xml's
cp -f -p -r -v --update $fromDir/digest.zip --target-directory=$toDir/




