#!/bin/sh

# script to run update, setting properties, for an individual project

#updateSite=$HOME/downloads/webtools/testUpdates
updateSite=$HOME/downloads/webtools/declaredUpdates

echo "update site: $updateSite"

 eclipseLocation=$HOME/eclipse-ppc-33M5


project="$1"
if [ "$project" !=  "" ]
then

     ant  -f features-$project.xml -DeclipseLocation=$eclipseLocation -DlocalUpdateSitePath=$updateSite -Dosgi.arch=ppc -Dosgi.clean -Dosgi.debug=true -Declipse.consoleLog=true -DcontinueOnError=true


else
     echo "   Usage: $0 <project> (where project is wtp, jsf, or jpa)"

fi
